Re: [R] R2.0.1 for Mac OS X 10.3 problem

From: Jari Oksanen <jarioksa_at_sun3.oulu.fi>
Date: Tue 19 Apr 2005 - 02:07:08 EST

On Mon, 2005-04-18 at 06:39 -0700, Horacio Montenegro wrote:
> I have the same problem, in Windows, and I think
> the .Rdata is not corrupted. Load R without loading
> the.Rdata file - move or rename it. Then library(lme4)
> and load the .Rdata - it should work.
>
This also is my experience (in Linux & MacOS X). The .RData need not be corrupted, but you have "corrupted" your R installation by deleting or corrupting some package using S4 methods (like failed upgrade of a S4 method package). When you start R so that it tries to restore those S4 objects in .RData, you get the error. Renaming or deleting .RData will help, of course. Alternatively, in my case it helped to start R with option --no-restore-data (in Mac when starting R from terminal -- where you are all the time in Linux). Probably it would help to install again the original S4 package. (In my case this happened when I tried Thomas Yee's VGAM and then removed the package.)

cheers, jari oksanen

-- 
Jari Oksanen -- Dept Biology, Univ Oulu, 90014 Oulu, Finland
email jari.oksanen_at_oulu.fi, homepage http://cc.oulu.fi/~jarioksa/

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
Received on Tue Apr 19 02:16:58 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:31:15 EST